package com.realnet.forma.Services;
import java.util.*;
import com.realnet.forma.Repository.TestmRepository;
import com.realnet.forma.Entity.Testm;

import com.realnet.forma.Entity.Testm_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Testm_ListFilter1Service {
@Autowired
private TestmRepository Repository;




 public   List<Testm_ListFilter1>   getlistbuilder() {
	List<Testm> list= Repository.findAll();
		ArrayList<Testm_ListFilter1> l = new ArrayList<>();
		for (Testm data : list) {
{	
Testm_ListFilter1 dummy = new Testm_ListFilter1();
			dummy.setId(data.getId());
  dummy.setNamem(data.getNamem());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Testm_ListFilter1>   getlistbuilderparam( ) {
	List<Testm> list= Repository.findAll();
		ArrayList<Testm_ListFilter1> l = new ArrayList<>();
		for (Testm data : list) {
{	
Testm_ListFilter1 dummy = new Testm_ListFilter1();
			dummy.setId(data.getId());
  dummy.setNamem(data.getNamem());
	l.add(dummy);
} 
} 		
return l;}
}